micro_utils.dokka
0.15.1

# FileReadKeyValueRepo

class FileReadKeyValueRepo(folder: File) : ReadKeyValueRepo<String, File>

## Constructors

FileReadKeyValueRepo
Link copied to clipboard
fun FileReadKeyValueRepo(folder: File)

## Functions

contains
Link copied to clipboard
open suspend override fun contains(key: String): Boolean
count
Link copied to clipboard
open suspend override fun count(): Long
get
Link copied to clipboard
open suspend override fun get(k: String): File?
keys
Link copied to clipboard
open suspend override fun keys(pagination: Pagination, reversed: Boolean): PaginationResult<String>
open suspend override fun keys(v: File, pagination: Pagination, reversed: Boolean): PaginationResult<String>

This method should use sorted by Keys search and take the PaginationResult. By default, it should use ascending sort for Keys

values
Link copied to clipboard
open suspend override fun values(pagination: Pagination, reversed: Boolean): PaginationResult<File>

This method should use sorted by Keys search and take the PaginationResult. By default, it should use ascending sort for Keys

## Extensions

cached
Link copied to clipboard
fun <Key, Value> ReadKeyValueRepo<Key, Value>.cached(kvCache: KVCache<Key, Value>): ReadKeyValueCacheRepo<Key, Value>
fun <Key, Value> ReadKeyValueRepo<Key, Value>.cached(kvCache: FullKVCache<Key, Value>): FullReadKeyValueCacheRepo<Key, Value>
withMapper
Link copied to clipboard
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValueRepo<ToKey, ToValue>.withMapper(mapper: MapperRepo<FromKey, FromValue, ToKey, ToValue>): ReadKeyValueRepo<FromKey, FromValue>
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValueRepo<ToKey, ToValue>.withMapper(noinline keyFromToTo: suspend FromKey.() -> ToKey = { this as ToKey }, noinline valueFromToTo: suspend FromValue.() -> ToValue = { this as ToValue }, noinline keyToToFrom: suspend ToKey.() -> FromKey = { this as FromKey }, noinline valueToToFrom: suspend ToValue.() -> FromValue = { this as FromValue }): ReadKeyValueRepo<FromKey, FromValue>